Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 818352 - swap entry in fstab points to /dev/mapper/disk<tmpstring>
Summary: swap entry in fstab points to /dev/mapper/disk<tmpstring>
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 17
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: David Lehman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-05-02 20:25 UTC by D. Marlin
Modified: 2012-05-12 16:21 UTC (History)
4 users (show)

Fixed In Version: anaconda-17.26-1.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-12 16:21:58 UTC
Type: Bug


Attachments (Terms of Use)

Description D. Marlin 2012-05-02 20:25:31 UTC
Description of problem:

When using livemedia-creator to create a disk image with the following command:

  livemedia-creator \
    --make-disk --no-virt --image-only --keep-image \
    --ks=/root/F17-minimal.ks


The kickstart file defines the following partitions:

  part /boot --size 255 --fstype ext3 --label=boot
  part swap --size 511 --label=swap
  part / --size 3327 --fstype ext4 --label=rootfs

which were created as expected.  The following /etc/fstab entries were created on the image:

  UUID=f9360b1d-f56c-4b52-ab6b-58775bf57a17 /      ext4  defaults  1 1
  UUID=5f9bb5f2-a818-4e72-aefc-cd2c304726a6 /boot  ext3  defaults  1 2
  /dev/mapper/diskt9BQ8tp3                  swap   swap  defaults  0 0 


The entry for swap should not reference "/dev/mapper/disk<tmpstring>".


Version-Release number of selected component (if applicable):

  anaconda-17.21-1.fc17


How reproducible:

Always:


Steps to Reproduce:
1.  (see description above)
  

Actual results:

/etc/fstab includes:
  /dev/mapper/diskt9BQ8tp3                  swap   swap  defaults  0 0 

Expected results:

No "/dev/mapper/..." entry for swap.


Additional info:

Via email:

pyanaconda.storage.devices.DMLinearDevice should use pyanaconda.storage.devices.StorageDevice.fstabSpec instead of inheriting
from DMDevice.

Comment 1 David Lehman 2012-05-03 15:13:03 UTC
David,

Try running it again, but this time add the following to the livemedia-creator command line:

  --anaconda-arg \
     "updates=http://dlehman.fedorapeople.org/updates/updates-818352.0.img"

Let me know how it goes.

Comment 2 D. Marlin 2012-05-04 21:31:48 UTC
After applying the patch you posted to the email list, I rebuilt anaconda and did a test run.  The swap entry in /etc/fstab now uses the UUID, as expected.  

Please push this patch and I think we can mark this one fixed.

Thank you.

Comment 3 Fedora Update System 2012-05-10 00:02:29 UTC
anaconda-17.26-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/anaconda-17.26-1.fc17

Comment 4 Fedora Update System 2012-05-10 20:40:39 UTC
Package anaconda-17.26-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-17.26-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-7623/anaconda-17.26-1.fc17
then log in and leave karma (feedback).

Comment 5 D. Marlin 2012-05-11 14:03:22 UTC
I tested anaconda-17.26-1.fc17 on a Trim Slice system, and it resolves this issue.

Thank you.

Comment 6 Fedora Update System 2012-05-12 16:21:58 UTC
anaconda-17.26-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.